
@import url("layout/helpers.css");
@import url("plugins/bootstrap.min.css");
@import url("plugins/flatpickr.min.css");
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;500;600;800&display=swap');


/* Just for decoration */
body{
  background-color: #4e73df;
  font-weight: 300;
  font-family: 'Poppins', sans-serif;
  margin: 0;
}

.langBox {
  display: flex;
  list-style: none;
  justify-content: center;
  text-transform: uppercase;
  margin: 0;
  padding: 0;
  margin-bottom: 6px;
}

.langBox li:not(:last-child) {
  margin-right: 12px;
}

.langBox li a {
  text-decoration: none;
  color: #212529;
  transition: all .6s;
  opacity: .7;
}

.langBox li.active a,
.langBox li:hover a {
  opacity: 1;
  color: #4e73df;
}

.langBox li.active a {
  font-weight: 500;
}


.alertBox{
  position: fixed;
  top: 18px;
  left: 18px;
  width: auto;
  font-size: 14px;
  z-index: 9999;
}
.childAlert {
  color: white;
  background: #313131;
  padding: 12px 16px;
  border-radius: 6px;
}
.childAlert:not(:last-child) {
  margin-bottom: 16px;
}
@media (min-width: 62em) {
  .alertBox {
    top: 18px;
  }
  .alertBox.scrolledPage {
    top: 68px;
  }
}
.alertMessageError {
  background: #c61717;
}
.alertMessageSucces {
  background: #29aa42;
}
.alertMessage {
  display: none;
}
.noBottom {
  margin-bottom: 0 !important;
}
.cwa-logo {
  width: 290px;
  margin-bottom: 24px;
}


/** Stepform Styles
****************************/
.msf_hide{
  display: none;
}
.msf_show{
  display: block;
}
.msf_bullet_o{
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  margin-bottom: 32px;
  margin-top: 16px;
}
.msf_bullet_o > div{
  display: inline-block;
  width: 100%;
  height: 7px;
  background: #e6e6e6;
  border-radius: 3.5px;
  flex: 1 1 0px;
}
.msf_bullet_o > div:not(:last-child) {
  margin-right: 10px;
}
.msf_bullet{
  background-color: lightgrey; 
}
.msf_bullet_active{
  background-color: darkgrey !important;
}
.msf_line{
  opacity: 0.3;
  background: lightgrey;
  height: 3px;
  width: 70px;
  display: block;
  left: 50%;
  margin-top: -29px;
  margin-left: -35px;
  position: absolute;
  z-index: 1;
}

/** Form Container
****************************/
.formImg {
  position: relative;
  left: -4px;
  z-index: 2;
  width: 300px;
}
.wrapper_inner {
  width: 100%;
  text-align: center;
}
.wrapper {
  max-width: 600px;
  height: auto;
  margin: auto;
  margin-top: 20px;
  display: flex;
  align-items: center;
  padding: 0 18px;
}
.form_wrapper{
  background: #fff;
  padding: 78px 75px 65px;
  margin-bottom: 40px;
}
fieldset{
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  border: none;
  width: 100%;
  padding: 0;
}

/** Form Inputs
****************************/

.form-row {
  margin-bottom: 22px;
}

.extraInput {
  position: relative;
}
.extraInput.focus label {
  color: #86b7fe;
}
.extraInput.focus .required {
  border-color: #86b7fe;
}

.extraInput.error label {
  color: #e80707 !important;
}
.extraInput.error .required {
  border-color: #e80707 !important;
}
.form-check.error .form-check-input {
  border-color: #e80707 !important;
}

.extraInput .required:focus {
  background: none;
  outline: none;
  box-shadow: none;
  opacity: 1 !important;
} 

.extraInput label{
  position: absolute;
  left: 7px;
  padding: 0 6px 0;
  transform: translateY(-50%);
  transition: all .5s;
  z-index: 1;
  top: 0%;
  color: #848484;
  font-size: 13px;
  background: rgba(255,255,255, 1);
}

.extraInput select {
  font-weight: 300;
}

.extraInput .required:-webkit-autofill {
  -webkit-box-shadow:0 0 0 50px white inset;
}
.extraInput .required:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0 50px white inset;
} 

.extraInput .required::-webkit-input-placeholder {color: white;} /* Chrome/Opera/Safari */
.extraInput .required::-moz-placeholder { color: white;} /* Firefox 19+ */
.extraInput .required:-ms-input-placeholder { color: white;} /* IE 10+ */
.extraInput .required:-moz-placeholder {color: white;}  /* Firefox 18- */


input{
  height: 42px;
  border: 1px solid #e6e6e6;
  background: none;
  width: 100%;
  border-color: #ebebeb;
  border-radius: 2px;
  padding: 5px 12px;
  font-weight: 300 !important;
  line-height: inherit;
  transition: 0.2s linear;
}

label {
  text-align: left;
  display: block;
  font-weight: 500;
}
input[type="text"]:focus, input[type="email"]:focus{
  opacity: 0.5;
}
input[type="button"], input[type="submit"]{
  margin-top: 20px !important;
  cursor: pointer;
  outline: none;
  border: none;
  padding: 15px !important;
  line-height: 0px;
  background-color: #fff;
  transition: all 150ms;
  box-shadow: rgba(0,0,0,0.2) 0px 1px 5px;
}
input[type="button"]:hover, input[type="submit"]:hover{
  background-color: darkgrey;
  color: white;
}
input[name="next"], input[data-post="btn-save"], input.data-post {
  background-color: #4e73df;
  color: white;
}
.datepicker.form-control[readonly] {
  background: none;
}

.birthSelect {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
}
.birthSelect select {
  flex: 1 1 0px;
}
.birthSelect select:nth-child(1) {
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
  border-right: 0;
}
.birthSelect select:nth-child(2) {
  border-radius: 0;
}
.birthSelect select:nth-child(3) {
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
  border-left: 0;
}

.form-check {
  text-align: left;
  font-size: 10px;
  line-height: 15px;
  background: rgb(78,115,223, 0.1);
  padding: 14px;
}
.form-check .form-check-input {
  padding: 0;
  font-size: 18px;
  margin-left: 0px;
  margin-top: 2px;
}
.form-check .form-check-label {
  font-weight: 500;
  padding-left: 25px;
}

.form-check .form-check-label [data-bs-toggle] {
  text-decoration: underline;
  color: #4e73df;
  cursor: pointer;
}
.form-check .form-check-label [data-bs-toggle]:hover {
  text-decoration: none;
}

.form-check .form-check-label .bigText {
  font-size: 14px;
  display: block;
  line-height: 18px;
  margin-bottom: 7px;
}




.booking_block {
  display: flex;
}
.booking_block input {
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
}
.booking_block select {
  width: 94px;
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
}

h2 {
  text-align: center;
  font-size: 26px;
  color: #333;
  font-weight: 600;
  display: block;
  margin-bottom: 0 !important;
}

.info_text ul {
  list-style-type: none;
  padding: 0;
}

@media (max-width: 576px) {
  .form_wrapper {
    padding: 54px 26px 65px;
  }

  h2 {
    font-size: 21px;
  }
}

.footerBlock {
  color: white;
}
.footerBlock ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin-bottom: 30px;
  justify-content: center;
}
.footerBlock li:not(:last-child) {
 margin-right: 16px;
}
.footerBlock span {
  cursor: pointer;
  opacity: .7;
  font-size: 15px;
  transition:  opacity .5s;
}
.footerBlock span:hover {
  opacity: 1;
}
